*{
    padding: 0;
    margin: 0;
}

body {
     background-color: #333;
    }
    main{
      background-color: #f9f9f9;
       font-family: Arial, sans-serif;
      line-height: 1.6;
      margin: 3rem auto 5rem auto;
      padding: 2rem;
      color: #333;
      width: 80%;
      border-radius: 20px;
    }
    section{
        margin-bottom: 2rem;
    }
    h1{
        text-align: center;
        font-size: 2.5rem;
    }
    h1.subtitle{
        font-size: 1.8rem;
        margin-bottom: 2rem;

    }
    h2 {
        font-size: 1.5rem;
      color: #410a0a;
    }
    a {
      color: #a70909f1;
      text-decoration: none;
    }
    a:hover {
      text-decoration: underline;
    }
    strong {
      font-weight: bold;
    }
    .images{
        display: flex;
        justify-content: center;
        flex-flow: row wrap;
        gap: 25px;
        margin-top: 2rem;
    }
    .first-image{
        border: 3px solid red;
    }
    .second-image{
        border: 3px solid green;
    }
    .third-image{
        border: 3px solid rgb(57, 7, 99);
    }
    .four-image{
        border: 3px solid rgba(216, 177, 80, 0.788);
    }

    .images > div > a> img {
        width: 400px;
        height: 300px;
        border-radius: 20px;
    }
    .images > div > a> img:hover {
        transform: translate(0, 10px);
    }
    .image-wrapper {
    position: relative;
    display: inline-block;
    width: 400px;
    height: 300px;
    border-radius: 20px;
    overflow: hidden;
}

.image-wrapper img {
    width: 100%;
    height: 100%;
    border-radius: 20px;
    transition: transform 0.3s ease;
}

.image-wrapper:hover img {
    transform: translate(0, -10px);
}

/* Capa blanca semitransparente */
.image-wrapper::after {
    content: "";
    position: absolute;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background-color: rgba(255, 255, 255, 0.4); /* Blanco suave y transparente */
    opacity: 0;
    transition: opacity 0.3s ease;
    border-radius: 20px;
    
}

.image-wrapper:hover::after {
    opacity: 1;
    cursor: pointer;
    
}

.final > p{
    font-size: 1.5rem;
    font-weight: 600;
    width: 70%;
    margin: auto;
    text-align: center;
    margin-top: 2rem;
}